openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "catalina wei" <catalina....@gmail.com>
Subject Re: OpenJPA moved to JAXB 2.1 and this is gonna cause trouble
Date Mon, 25 Jun 2007 17:08:46 GMT
David,
My XMLMaping test cases run with jaxb 2.0.2.
Would jaxb dependency change to jaxb 2.0.2 work for you ?

Catalina

On 6/25/07, David Blevins <david.blevins@visi.com> wrote:
>
> Hey guys, figured this thread belonged here.  See below.
>
> I looked through the archives to see what the change related to and
> it looks like OPENJPA-240 was it.  If we found a way in Geronimo to
> force OpenJPA back onto jaxb 2.0 so we could continue to certify
> javaee6 would things still work sans this feature?
>
> Also, any idea how much longer it may be for a 1.0.0 release?
>
> I know it's tough to balance user and integrator needs, so thanks in
> advance for any help.
>
> -David
>
>
> Begin forwarded message:
>
> > Resent-From: <dblevins@visi.com>
> > From: Jeff Genender <jgenender@apache.org>
> > Date: June 25, 2007 9:11:11 AM PDT
> > To: dev@openejb.apache.org, dev@geronimo.apache.org
> > Subject: OpenJPA moved to JAXB 2.1 and this is gonna cause trouble
> > Reply-To: dev@geronimo.apache.org
> > Reply-To: jgenender@apache.org
> >
> > Hi,
> >
> > I am sending this to the G and OEJB lists.
> >
> > We have dependencies on OpenJPA SNAPSHOT in trunk.  Looks like they
> > moved to jaxb 2.1 and this is causing troubles with building.
> >
> > First its having trouble finding javax.xml.stream:stax-api:jar:1.0-2,
> > and second, I am fairly confident this is going to impact
> > certification.
> >
> > Thoughts?
> >
> > Jeff
> >
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message